AWS
action ASG

# attach_volume

Attaches ebs volumes that have been previously detached

Run it now
View details

Type | action
Module | chaosaws.asg.actions
Name | attach_volume
Return | list

Usage

JSON

    {
      "name": "attach-volume",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.actions",
        "func": "attach_volume"
      }
    }

YAML

    name: attach-volume
    provider:
      func: attach_volume
      module: chaosaws.asg.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names

One of

- asg_names [list]: one or more asg names
- tags [list]: key/value pairs to identify asgs by

`tags` are expected as a list of dictionary objects:

    [
      {'Key': 'TagKey1', 'Value': 'TagValue1'},
      {'Key': 'TagKey2', 'Value': 'TagValue2'},
      ...
    ]

Signature

    def attach_volume(
            asg_names: List[str] = None,
            tags: List[Dict[str, str]] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> List[Dict[str, Any]]:
        pass

## Related starters

- AWS
  probe ASG

  ## `describe_auto_scaling_groups`

  Returns AWS descriptions for provided ASG(s)
- AWS
  action ASG

  ## `detach_random_volume`

  Detaches a random (non root) ebs volume from ec2 instances associated to an ASG
- AWS
  probe ASG

  ## `has_subnets`

  Determines if the provided autoscaling groups are in the provided subnets